--
-- exclusão de chaves estrangeiras
--
ALTER TABLE IF EXISTS embarque
   DROP CONSTRAINT embarq_fornec_fk;
ALTER TABLE IF EXISTS embarque
   DROP CONSTRAINT embarq_peca_fk;
   
--
-- exclusão de tabelas
--
DROP TABLE IF EXISTS embarque;
DROP TABLE IF EXISTS fornecedor;
DROP TABLE IF EXISTS peca;

--
-- criação de tabelas
--
CREATE TABLE peca (
   cod_peca CHAR (4) NOT NULL,
   nome_peca VARCHAR (40) NOT NULL,
   peso_peca SMALLINT NULL,
   cor_peca VARCHAR (20) NULL,
   cidade_peca VARCHAR (40) NULL,
   CONSTRAINT peca_pk 
     PRIMARY KEY (cod_peca)
);
CREATE TABLE fornecedor (
   cod_fornec CHAR (4) NOT NULL,
   nome_fornec VARCHAR (40) NOT NULL,
   status_fornec SMALLINT NULL,
   cidade_fornec VARCHAR (40) NULL,
   CONSTRAINT fornec_pk 
     PRIMARY KEY (cod_fornec)
);
CREATE TABLE embarque (
   cod_fornec CHAR (4)  NOT NULL,
   cod_peca CHAR (4) NOT NULL,
   data_embarq DATE NOT NULL,
   qtde_embarq SMALLINT NOT NULL,
   CONSTRAINT embarq_pk
      PRIMARY KEY (cod_fornec,
                   cod_peca, 
                   data_embarq)
);

--
-- adição de chaves estrangeiras
--
ALTER TABLE embarque
   ADD CONSTRAINT embarq_fornec_fk
      FOREIGN KEY (cod_fornec)
         REFERENCES fornecedor
           ON DELETE RESTRICT
           ON UPDATE CASCADE;
ALTER TABLE embarque
   ADD CONSTRAINT embarq_peca_fk
   FOREIGN KEY (cod_peca)
      REFERENCES peca
         ON DELETE CASCADE
         ON UPDATE CASCADE;
